#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=LinuxLive USB Creator 2.0 RC2\tools\img\lili.ico
#AutoIt3Wrapper_Res_SaveSource=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
; AutoIt Version: 3.2.12.1
; Author        : Thibaut Lauzire (Slm) www.slym.fr
; e-Mail        : contact@linuxliveusb.com
; License       : GPL v3.0
; Version       : 1.0


GiveMePhysicalDisk()
; returns the physical disk (\\.\PhysicalDiskX) corresponding to a drive letter
Func GiveMePhysicalDisk()
	;$drive_letter = "F:"
	Local $wbemFlagReturnImmediately, $wbemFlagForwardOnly, $objWMIService, $colItems, $objItem, $found_usb, $usb_model, $usb_size
	$disks = ""
	$wbemFlagReturnImmediately = 0x10
	$wbemFlagForwardOnly = 0x20
	$colItems = ""
	;$objWMIService = ObjGet("winmgmts:\\.\root\CIMV2")
	$objWMIService =ObjGet ( "winmgmts:{impersonationLevel=Impersonate}!//.")
	$colItems = $objWMIService.ExecQuery("SELECT Caption, DeviceID FROM Win32_DiskDrive", "WQL", $wbemFlagReturnImmediately + $wbemFlagForwardOnly)

	For $objItem In $colItems

		$colItems2 = $objWMIService.ExecQuery("ASSOCIATORS OF {Win32_DiskDrive.DeviceID='" & $objItem.DeviceID & "'} WHERE AssocClass = Win32_DiskDriveToDiskPartition", "WQL", $wbemFlagReturnImmediately + $wbemFlagForwardOnly)
		For $objItem2 In $colItems2
			$colItems3 = $objWMIService.ExecQuery("ASSOCIATORS OF {Win32_DiskPartition.DeviceID='" & $objItem2.DeviceID & "'} WHERE AssocClass = Win32_LogicalDiskToPartition", "WQL", $wbemFlagReturnImmediately + $wbemFlagForwardOnly)
			For $objItem3 In $colItems3
					$disks &= $objItem3.DeviceID& "      ==>     " & $objItem.DeviceID & @CRLF& @CRLF;
					;$physical_drive = $objItem.DeviceID
			Next
		Next

	Next
	MsgBox(1,"List of Physical Drives",$disks)
EndFunc   ;==>GiveMePhysicalDisk
